org.apache.olingo.ext.proxy.commons

## Class InvokerInvocationHandler<T,O extends Operations>

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.InvokerInvocationHandler<T,O>

- All Implemented Interfaces:
    InvocationHandler
  Direct Known Subclasses:
    StructuredComposableInvokerInvocationHandler

      public class InvokerInvocationHandler<T,O extends Operations>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected AbstractService<?>` | `service`
    `protected Class<T>` | `targetRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokerInvocationHandler(URI uri, Map<String,ClientValue> parameters, Operation operation, EdmOperation edmOperation, Type[] references, AbstractService<?> service)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static URIBuilder` | `buildEntitySetURI(Class<?> ref, AbstractService<?> service)`
    `protected static URIBuilder` | `buildEntitySetURI(String entitySetName, AbstractService<?> service)`
    `void` | `clearQueryOptions()`
    `protected <S extends EntityType<?>> void` | `deleteEntity(EntityInvocationHandler handler, URI entitySetURI)`
    `boolean` | `equals(Object obj)`
    `T` | `execute()`
    `Future<T>` | `executeAsync()`
    `void` | `expand(String... expand)`
    `void` | `filter(String filter)`
    `void` | `filter(URIFilter filter)`
    `protected EdmEnabledODataClient` | `getClient()`
    `protected ComplexType<?>` | `getComplex(String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `protected Context` | `getContext()`
    `int` | `hashCode()`
    `Object` | `invoke(Object proxy, Method method, Object[] args)`
    `protected Object` | `invokeSelfMethod(Method method, Object[] args)`
    `protected boolean` | `isDeleted(EntityInvocationHandler handler)`
    `protected boolean` | `isSelfMethod(Method method)`
    `void` | `orderBy(Sort... sort)`
    `void` | `orderBy(String orderBy)`
    `void` | `select(String... select)`
    `void` | `skip(int skip)`
    `void` | `top(int top)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### targetRef

          protected final Class<T> targetRef

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected AbstractService<?> service

  - ### Constructor Detail

    - #### InvokerInvocationHandler

          public InvokerInvocationHandler(URI uri,
                                          Map<String,ClientValue> parameters,
                                          Operation operation,
                                          EdmOperation edmOperation,
                                          Type[] references,
                                          AbstractService<?> service)

  - ### Method Detail

    - #### executeAsync

          public Future<T> executeAsync()

    - #### execute

          public T execute()

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Throws:
        `Throwable`

    - #### filter

          public void filter(String filter)

    - #### filter

          public void filter(URIFilter filter)

    - #### orderBy

          public void orderBy(Sort... sort)

    - #### orderBy

          public void orderBy(String orderBy)

    - #### top

          public void top(int top)
                   throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### skip

          public void skip(int skip)
                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### expand

          public void expand(String... expand)

    - #### select

          public void select(String... select)

    - #### clearQueryOptions

          public void clearQueryOptions()

    - #### getClient

          protected EdmEnabledODataClient getClient()

    - #### getContext

          protected Context getContext()

    - #### isSelfMethod

          protected boolean isSelfMethod(Method method)

    - #### invokeSelfMethod

          protected Object invokeSelfMethod(Method method,
                                            Object[] args)
                                     throws Throwable

      Throws:
        `Throwable`

    - #### getComplex

          protected ComplexType<?> getComplex(String name,
                                              ClientValue value,
                                              Class<?> ref,
                                              EntityInvocationHandler handler,
                                              URI baseURI,
                                              boolean collectionItem)

    - #### isDeleted

          protected boolean isDeleted(EntityInvocationHandler handler)

    - #### deleteEntity

          protected <S extends EntityType<?>> void deleteEntity(EntityInvocationHandler handler,
                                                                URI entitySetURI)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(Class<?> ref,
                                                        AbstractService<?> service)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(String entitySetName,
                                                        AbstractService<?> service)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.